Bug 246886 - Initscript Review
Initscript Review
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Canna (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:48 EDT by Harald Hoyer
Modified: 2009-06-10 08:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 08:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:48:03 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Akira TAGOH 2007-08-10 06:50:58 EDT
I saw "do not yet implement the LSB functions like log_***_msg()" in the Quick
Notes though, is this bug intended to not be compliant with LSB standard
completely but to just have a LSB Header, actions required and the result of
actions?
Comment 2 Harald Hoyer 2007-08-10 07:40:04 EDT
just to have a LSB Header, dependencies and the exit codes right
Comment 3 Akira TAGOH 2007-08-12 19:30:36 EDT
Thanks. should be fixed in 3.7p3-19.fc8.
Comment 4 A S Alam 2007-12-18 01:38:53 EST
Can someone please help me "how Can I test"?

regards
Comment 5 Akira TAGOH 2008-01-09 07:33:08 EST
You can see if canna initscript has a LSB header file, and the above
documentation may helps to check the exit code. you can see what you need to do
to get the certain exit code.
Comment 6 Bug Zapper 2008-05-13 23:01:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:41:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.